Skip to main content
`Ctrl`+`K`

# SNESSetWorkVecs

Allocates a number of work vectors to be used internally by `SNES` solvers

## Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode SNESSetWorkVecs(SNES snes, PetscInt nw)

## Input Parameters

- snes - the `SNES` context

- nw - number of work vectors to allocate

## Note

Each `SNESType` calls this with the number of work vectors that particular type needs.

## See Also

SNES: Nonlinear Solvers, `SNES`

## Level

developer

## Location

src/snes/interface/snesut.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages